/* ----------------------- Header ------------------------ */
/* ------------------------------------------------------- */

#img-logo-header {
    width: 30%;
}

.header-computer {
    position: fixed;
    top: 0;
    width: 100%;
    height: 16vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    overflow: hidden;
    z-index: 20;
    border-bottom: 2px solid white;
    background: var(--negro);
}

/* Oculto el Phone Header */
.header-phone {
    display: none;
}

.wave-header {
    width: 110%;
    height: 18.50rem;
    position: absolute;
    top: 0;
    left: -10%;
    display: flex;
    align-items: center;
}

.wave-header-blue {
    z-index: 2;
    margin-top: -5vh;
}

.wave-header-gold {
    z-index: 1;
    margin-top: -4.5vh;
}

.svgAzul {
    fill: var(--negro);
}

.svgDorado {
    fill: var(--negro);
}

.svgWhite {
    fill: white;
}

.contenido-header {
    z-index: 3;
    width: 80%;
    height: 18vh;
    top: 0;
    margin-left: -8vw;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
}

.contenedor-menu-paginas {
    width: 40%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo-header {
    width: 30%;
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    outline: none;
    -webkit-backface-visibility: hidden; /
    image-rendering: -webkit-optimize-contrast;
    image-rendering: optimizeQuality;
    box-shadow: none;

}

.logo-header img {
    width: 100%;
}

#img-logo-header-phone {
    width: 40%;
    margin-left: 20%;
}

.contenedor-menu-paginas a {
    text-decoration: none;
    color: #FFF;
    text-align: center;
    text-shadow: 0px 2px 2px rgba(0, 0, 0, 0.15);
    font-style: normal;
    font-weight: 700;
    font-size: 1.2rem;
    line-height: normal;
}

.active {
    text-decoration: underline !important;
}



/* ------------------------------------------------------- */
/* -------------------- Media Queries ---------------------*/
/* ------------------------------------------------------- */


@media screen and (max-width: 1108px) {
    .header-computer {
        display: none;
    }

    .menu-toggle {
        display: flex;
        flex-direction: column;
        align-items: center;
        cursor: pointer;
        margin-right: 30px;
        pointer-events: auto;
    }

    .bar {
        background-color: #fff;
        height: 3px;
        border-radius: 25px;
        width: 30px;
        margin: 2px 0;
        z-index: 21;
        transition: all 0.3s ease-in-out;
    }

    /* Ajusto el tamaño de cada barra */
    .first-bar {
        width: 20px;
        margin-right: 20px;
    }

    .third-bar {
        width: 15px;
        margin-left: 15px;
    }

    .wave-header {
        height: 15.50rem;
        top: 0;
    }

    .svgAzul {
        margin-top: -15vh;
    }

    .header-phone {
        margin-top: -1vw;
        z-index: 20;
        position: fixed;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        height: 100%;
        background: none;
        width: 100%;
        pointer-events: none;

    }

    .header-fijo {
        display: flex;
        position: fixed;
        align-items: center;
        justify-content: right;
        height: 100px;
        top: 0;
        right: 0;
        width: 100%;
        z-index: 21;
    }

    .menu-desplegado {
        transform: translateY(-100%);
        transition: transform 0.3s ease-in-out;
        display: flex;
        width: 100%;
        height: 55vh;
        margin-top: -50vh;
        background: var(--negro);
        justify-content: center;
        align-items: center;
        flex-direction: column;
        z-index: 19;
        pointer-events: none;
    }

    /* Activamos eventos de puntero sólo para los elementos que lo necesitan dentro de .menu-desplegado */
    .menu-desplegado a, .menu-desplegado .btn {
        pointer-events: auto;  /* Activa eventos de puntero para estos elementos */
    }

    .contenido-menu-desplegado {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 40%;
        margin-top: 7vh;
        width: 100%;
        flex-direction: column;
        pointer-events: none;
    }

    .texto-menu {
        margin-bottom: 3vh;
    }

    .texto-menu {
        text-decoration: none;
        color: white;
        width: 100%;
        text-align: center;
        font-weight: bold;
        font-size: 1.5rem;
        cursor: pointer;
    }

    .btn-header {
        height: 90px !important;
    }


    .wave-header-desplegado {
        margin-top: 45vh;
        z-index: 17;
    }

    .menu-visible {
        right: 0px !important;
    }

    /* Para la animación de las barras del menú */
    .bar.rotate-first {
        transform: rotate(45deg) translate(12.5px, 5.5px) scale(1.5, 1);
    }

    .bar.rotate-second {
        opacity: 0;
    }

    .bar.rotate-third {
        transform: rotate(-45deg) translate(-8px, -10px) scale(2, 1);
    }

    .no-click {
        pointer-events: none;
        opacity: 0.4;
    }

    .menu-toggle {
        display: flex;
        flex-direction: column;
        align-items: center;
        cursor: pointer;
        margin-right: 30px;
        pointer-events: auto;
    }

    .logo-header-phone {
        width: 15em;
        margin-right: 9em;
        margin-top: -2vw;
        pointer-events: auto;
    }

    .logo-header-phone img {
        width: 160%;
        margin-left: -20px;
    }
}

@media screen and (min-width: 800px) and (max-width: 1200px) {
    .header-fijo {
        justify-content: space-between;
        padding-top: 2vh;
    }

    .logo-header-phone img {
        margin-top: 2vh;
    }

    .wave-header {
        height: 20rem;
    }

    .contenido-menu-desplegado {
        margin-top: 11vw;
    }

    .menu-desplegado{
        height: 45vh;
    }

    .wave-header-desplegado {
        margin-top: 37vh;
        z-index: -30;
    }
    #btn-header-phone {
        height: 120px !important;
    }

}


